[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

qt 2.3.0-beta1

Ok...just so I answer questions before people ask them...

QT 2.3.0-beta1 was released.  From the changelog :

 "The greatest new feature in the 2.3 release is support for Xft, which
gives anti-aliased text on X11. Xft is supported by XFree86 version 4.0.2 and
later. See the more detailed description below.
A lot of work has also been done to enhance the printing support on Unix/X11."

so...even though I'm going to get the crap beat out of me (already started on
that)...I'm going to upload packages today.  However somethings are yet again
changing.  :)  As I keep trying to get the packages to conform to policy
and whatnot I'm taking this opportunity to continue fixing things.  Since
the new version of QT is 2.3.0 and the package names have been libqt2.2, I've
opted to go with libqt2 instead of libqt2.3.  libqt2.2 would not make since
since it's no longer 2.2.x and libqt2.3 also doesn't as it can't coexist with
libqt2.2 and it's pointless to have 2 seperate packages.  libqt2 is the proper
name for it.  

So... libqt2 it's going to be.  Now, by doing this I cause every package that
depends on qt to need recompilation.  This is what sucks..but hey...tough.
To not kill existing apps and whatnot, I'm creating a couple sudo packages.

libqt2.2 and libqt2.2-gl with be empty packages that depend on their respective
new packages...libqt2 and libqt2-gl.  qt2.2-doc will now be qt-doc.  

so...hopefully everyone will get upgraded without getting hosed...and the
maintainers of qt based apps will not be rushed to rebuild their packages.
This will be the last upload of QT to unstable I'll make until it at least
makes it into testing (baring any RC bugs).  Now..this could take some time.
To begin with it'll be at least 2 weeks.  But as many of you already know 
QT doesn't build on alpha so we have to get that worked out first...or exclude
qt from alpha...which is not desirable.

anyways...potato users are out of luck on this...XFT support requires X4 so
I won't be building packages for potato. 


Ivan E. Moore II
GPG Fingerprint=F2FC 69FD 0DA0 4FB8 225E 27B6 7645 8141 90BC E0DD

Reply to: